LOOK(1)

BEZEICHNUNG
look - Zeilen anzeigen, die mit einer angegebenen Zeichenkette beginnen

ÜBERSICHT

look [Optionen] Zeichenkette [Datei]

BESCHREIBUNG

Das Dienstprogramm look zeigt alle Zeilen in einer Datei an, welche die angegebene Zeichenkette als Präfix enthalten. Da look eine Binärsuche durchführt, müssen die Zeilen in der Datei sortiert sein (wobei sort(1) die selben Optionen -d und/oder -f übergeben werden müssen, mit denen look aufgerufen wird).

Falls keine Datei angegeben ist, wird die Datei /usr/share/dict/words verwendet. Es werden dann nur alphanumerische Zeichen verglichen und die Groß-/Kleinschreibung von Buchstaben wird ignoriert.

OPTIONEN

-a, --alternative
    verwendet die alternative Wörterbuchdatei.

-d, --alphanum
    verwendet den normalen Zeichensatz und die Reihenfolge des Wörterbuchs, d.h. nur Leerräume und alphanumerische Zeichen werden verglichen. Dies ist standardmäßig aktiviert, wenn keine Datei angegeben ist.

    Beachten Sie, dass mit Version 2.28 zwecks Kompatibilität zum Befehl sort -d zum Zeichensatz des Wörterbuchs Leerräume hinzugefügt wurden.

-f, --ignore-case
    ignoriert die Groß-/Kleinschreibung von Buchstaben. Dies ist standardmäßig aktiviert, wenn keine Datei angegeben wird.

-t, --terminate Zeichen
    gibt ein Zeichen zur Markierung des Zeichenkettenendes an, d.h. es werden nur die Zeichen in der Zeichenkette bis zu einschließlich des ersten Vorkommens des angegebenen Zeichens verglichen.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

EXIT-STATUS

Das Dienstprogramm look gibt 0 zurück, wenn eine oder mehrere Zeilen gefunden und angezeigt wurden, 1, wenn keine Zeilen gefunden wurden, und >1, wenn ein Fehler aufgetreten ist.

UMGEBUNGSVARIABLEN

WORDLIST
    Pfad zu einer Wörterbuchdatei. Die Umgebungsvariable hat eine höhere Priorität als der im Abschnitt DATEIEN definierte Wörterbuchpfad.

DATEIEN

/usr/share/dict/words
    das Wörterbuch

/usr/share/dict/web2
    das alternative Wörterbuch

GESCHICHTE

Das Dienstprogramm look erschien in Version 7 von AT&T UNIX.

BEISPIELE

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

SIEHE AUCH

grep(1), sort(1)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl look ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.